Bank Transactions
Manage bank transactions in VARIO Cloud via API, including matching, reassignment, recalculation, manual booking and transaction status handling.
Transaktionen
an identifier
successful operation
Version Identifier for this Object (for PUT)
Unique identifier of the Object
id of the account
id of the parent transaction
value date
booking date
amount
updated account balance
amount currency
purpose text
counterpart name
counterpart iban
counterpart bic
counterpart account number
counterpart bank number
counterpart bank name
mandate reference
customer reference
creditor id
debitor id
transaction type (text)
transaction type (ZKA-code)
transaction type (SWIFT-code)
purpose code
primanota
End-To-End-Id
compensation amount (i.e. return debit fees)
original amount
currency of original amount
manual comments added by the user
potentielles Duplikat
whether the transaction has been completely or partially matched with open items or not matched at all
whether this transaction was incoming or outgoing
Resource with given ID was not found
GET /erp/bank/transactions/{id} HTTP/1.1
Host: api.example.com
Accept: */*
{
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"accountId": 1,
"parentId": 1,
"valueDate": "2026-01-01T00:00:00.000Z",
"bookingDate": "2026-01-01T00:00:00.000Z",
"amount": 1,
"updatedAccountBalance": 1,
"currency": "text",
"purpose": "text",
"name": "text",
"iban": "text",
"bic": "text",
"accountNumber": "text",
"blz": "text",
"bankName": "text",
"mandateReference": "text",
"customerReference": "text",
"creditorId": "text",
"debitorId": "text",
"transactionType": "text",
"transactionCodeZKA": "text",
"transactionCodeSWIFT": "text",
"purposeCode": "text",
"primanota": "text",
"endToEndId": "text",
"compensationAmount": 1,
"originalAmount": 1,
"originalCurrency": "text",
"userComment": "text",
"isPotentialDuplicate": true,
"matchingState": "MATCHED",
"direction": "INCOMING",
"openItemRecordRefs": []
}an identifier
Version Identifier for this Object (for PUT)
Unique identifier of the Object
id of the account
id of the parent transaction
value date
booking date
amount
updated account balance
amount currency
purpose text
counterpart name
counterpart iban
counterpart bic
counterpart account number
counterpart bank number
counterpart bank name
mandate reference
customer reference
creditor id
debitor id
transaction type (text)
transaction type (ZKA-code)
transaction type (SWIFT-code)
purpose code
primanota
End-To-End-Id
compensation amount (i.e. return debit fees)
original amount
currency of original amount
manual comments added by the user
potentielles Duplikat
whether the transaction has been completely or partially matched with open items or not matched at all
whether this transaction was incoming or outgoing
successful operation
Version Identifier for this Object (for PUT)
Unique identifier of the Object
id of the account
id of the parent transaction
value date
booking date
amount
updated account balance
amount currency
purpose text
counterpart name
counterpart iban
counterpart bic
counterpart account number
counterpart bank number
counterpart bank name
mandate reference
customer reference
creditor id
debitor id
transaction type (text)
transaction type (ZKA-code)
transaction type (SWIFT-code)
purpose code
primanota
End-To-End-Id
compensation amount (i.e. return debit fees)
original amount
currency of original amount
manual comments added by the user
potentielles Duplikat
whether the transaction has been completely or partially matched with open items or not matched at all
whether this transaction was incoming or outgoing
Resource was not found
Resource was not valid to process
PUT /erp/bank/transactions/{id} HTTP/1.1
Host: api.example.com
Content-Type: application/json
Accept: */*
Content-Length: 661
{
"version": "text",
"info": {},
"id": "text",
"accountId": 1,
"parentId": 1,
"valueDate": "2026-01-01T00:00:00.000Z",
"bookingDate": "2026-01-01T00:00:00.000Z",
"amount": 1,
"updatedAccountBalance": 1,
"currency": "text",
"purpose": "text",
"name": "text",
"iban": "text",
"bic": "text",
"accountNumber": "text",
"blz": "text",
"bankName": "text",
"mandateReference": "text",
"customerReference": "text",
"creditorId": "text",
"debitorId": "text",
"transactionType": "text",
"transactionCodeZKA": "text",
"transactionCodeSWIFT": "text",
"purposeCode": "text",
"primanota": "text",
"endToEndId": "text",
"compensationAmount": 1,
"originalAmount": 1,
"originalCurrency": "text",
"userComment": "text",
"direction": "INCOMING"
}{
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"accountId": 1,
"parentId": 1,
"valueDate": "2026-01-01T00:00:00.000Z",
"bookingDate": "2026-01-01T00:00:00.000Z",
"amount": 1,
"updatedAccountBalance": 1,
"currency": "text",
"purpose": "text",
"name": "text",
"iban": "text",
"bic": "text",
"accountNumber": "text",
"blz": "text",
"bankName": "text",
"mandateReference": "text",
"customerReference": "text",
"creditorId": "text",
"debitorId": "text",
"transactionType": "text",
"transactionCodeZKA": "text",
"transactionCodeSWIFT": "text",
"purposeCode": "text",
"primanota": "text",
"endToEndId": "text",
"compensationAmount": 1,
"originalAmount": 1,
"originalCurrency": "text",
"userComment": "text",
"isPotentialDuplicate": true,
"matchingState": "MATCHED",
"direction": "INCOMING",
"openItemRecordRefs": []
}an identifier
successful operation
message context
message
Resource was not found
unable to delete Resource, due to constraints, existing references or internal state
DELETE /erp/bank/transactions/{id} HTTP/1.1
Host: api.example.com
Accept: */*
{
"context": "text",
"messageValue": "text"
}Version Identifier for this Object (for PUT)
Unique identifier of the Object
id of the account
id of the parent transaction
value date
booking date
amount
updated account balance
amount currency
purpose text
counterpart name
counterpart iban
counterpart bic
counterpart account number
counterpart bank number
counterpart bank name
mandate reference
customer reference
creditor id
debitor id
transaction type (text)
transaction type (ZKA-code)
transaction type (SWIFT-code)
purpose code
primanota
End-To-End-Id
compensation amount (i.e. return debit fees)
original amount
currency of original amount
manual comments added by the user
potentielles Duplikat
whether the transaction has been completely or partially matched with open items or not matched at all
whether this transaction was incoming or outgoing
successful operation
Version Identifier for this Object (for PUT)
Unique identifier of the Object
id of the account
id of the parent transaction
value date
booking date
amount
updated account balance
amount currency
purpose text
counterpart name
counterpart iban
counterpart bic
counterpart account number
counterpart bank number
counterpart bank name
mandate reference
customer reference
creditor id
debitor id
transaction type (text)
transaction type (ZKA-code)
transaction type (SWIFT-code)
purpose code
primanota
End-To-End-Id
compensation amount (i.e. return debit fees)
original amount
currency of original amount
manual comments added by the user
potentielles Duplikat
whether the transaction has been completely or partially matched with open items or not matched at all
whether this transaction was incoming or outgoing
Resource was not valid to process
POST /erp/bank/transactions HTTP/1.1
Host: api.example.com
Content-Type: application/json
Accept: */*
Content-Length: 661
{
"version": "text",
"info": {},
"id": "text",
"accountId": 1,
"parentId": 1,
"valueDate": "2026-01-01T00:00:00.000Z",
"bookingDate": "2026-01-01T00:00:00.000Z",
"amount": 1,
"updatedAccountBalance": 1,
"currency": "text",
"purpose": "text",
"name": "text",
"iban": "text",
"bic": "text",
"accountNumber": "text",
"blz": "text",
"bankName": "text",
"mandateReference": "text",
"customerReference": "text",
"creditorId": "text",
"debitorId": "text",
"transactionType": "text",
"transactionCodeZKA": "text",
"transactionCodeSWIFT": "text",
"purposeCode": "text",
"primanota": "text",
"endToEndId": "text",
"compensationAmount": 1,
"originalAmount": 1,
"originalCurrency": "text",
"userComment": "text",
"direction": "INCOMING"
}{
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"accountId": 1,
"parentId": 1,
"valueDate": "2026-01-01T00:00:00.000Z",
"bookingDate": "2026-01-01T00:00:00.000Z",
"amount": 1,
"updatedAccountBalance": 1,
"currency": "text",
"purpose": "text",
"name": "text",
"iban": "text",
"bic": "text",
"accountNumber": "text",
"blz": "text",
"bankName": "text",
"mandateReference": "text",
"customerReference": "text",
"creditorId": "text",
"debitorId": "text",
"transactionType": "text",
"transactionCodeZKA": "text",
"transactionCodeSWIFT": "text",
"purposeCode": "text",
"primanota": "text",
"endToEndId": "text",
"compensationAmount": 1,
"originalAmount": 1,
"originalCurrency": "text",
"userComment": "text",
"isPotentialDuplicate": true,
"matchingState": "MATCHED",
"direction": "INCOMING",
"openItemRecordRefs": []
}weist eine Transaction einem anderen OP zu
neuer OP dem die Transaction zugewiesen werden soll
OK
Version Identifier for this Object (for PUT)
Unique identifier of the Object
OP-Nummer
Externe OP-Nummer
agreed Deposit payment amount
agreed Deposit payment date
is the agreed deposit payed?
falsebalanced date of this open item (calculated)
whether this open item is balanced, partially paid or open
saldo
Summe gebuchte Zahlungen
Summe Mahngebühren und Zinsen
Rechnungsbetrag
skontierbarer Rechnungsbetrag
allgemeine Gebühren
How many days are given for using the first discount rule
How much discount can be given for speedy payment, rule 1
Fälligkeitsdatum (Skonto1)
How many days are given for using the second discount rule
How much discount can be given for speedy payment, rule 2
Fälligkeitsdatum (Skonto2)
Ursprung der Skontowerte (Tage und Prozentsätze)
Does this open item belong to accounts payable or accounts receivable
The full amount of the payment
Der momentan gültige zu zahlende Betrag
The kind of payment
how should a refund be done?
Mahnsperre
falseDer Zustand der Zahlung
Der Mahnzustand
Die Mahnstufe
Anzahl Mahnpositionen/Mahnungen für diesen OP
Ursprüngliches Fälligkeitsdatum
Fälligkeit in Tagen
Fälligkeitsdatum
Valutadatum
Skontobetrag 1
Skontobetrag 2
Verwendungszweck
Kommentar
Zahlungssperre
falseValutadatum schreibgeschützt
falsekann wiedereröffet werden
falseWährung des offenen Postens (ISO-A3)
Kurs der Währung zu Basiswährung
Basiswährung des offenen Postens (ISO-A3)
Vereinbarter Anzahlungsbetrag in Basiswährung
Summe der Zahlungen in Basiswährung
Summe der Abzüge (Skonto usw.) in Basiswährung
Summe der Mahngebühren und Zinsen in Basiswährung
Gesamtsumme der Rechnungsbeträge in Basiswährung
Summe der skontierbaren Rechnungsbeträge in Basiswährung
Offener Betrag (Saldo) in Basiswährung
allgemeine Gebühren in Basiswährung
Ist der OP durch ein Dokument geblockt?
falseBuchung auf Lieferant oder Kunde bei manuellen OPs
Steuersachverhalt Leistungserbringung (von außen setzbar, wenn kein Beleg vorhanden ist)
Steuerstatus (von außen setzbar, wenn kein Beleg vorhanden ist)
Länderkennzeichen Leistungsland (ISO Alpha-3, von außen setzbar, wenn kein Beleg vorhanden ist)
Länderkennzeichen Ursprungsland (ISO Alpha-3, von außen setzbar, wenn kein Beleg vorhanden ist)
Leistungsdatum (von außen setzbar, wenn kein Beleg vorhanden ist)
POST /erp/bank/transactions/{transactionId}/{openItemRecordId}/reassignTransaction HTTP/1.1
Host: api.example.com
Content-Type: application/json
Accept: */*
Content-Length: 22
{
"targetOpenItemId": 1
}OK
{
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"order": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"invoice": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"creditNote": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"depositInvoice": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"account": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"number": "text",
"externalNumber": "text",
"depositPaymentAmount": 1,
"depositPaymentDate": "2026-01-01",
"depositPayed": false,
"balancedDate": "2026-01-01",
"balanceState": "OPEN",
"balance": 1,
"sumPayments": 1,
"sumDunnings": 1,
"sumTotalAmount": 1,
"sumDiscountableAmount": 1,
"sumFee": 1,
"records": [],
"basisPaymentTermRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"paymentMethodRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"paymentDays1": 1,
"paymentDiscount1": 1,
"paymentDiscount1DueDate": "2026-01-01",
"paymentDays2": 1,
"paymentDiscount2": 1,
"paymentDiscount2DueDate": "2026-01-01",
"paymentDiscountOrigin": "FROM_PAYMENT_TERM",
"qualifier": "PAYABLE",
"fullPaymentAmount": 1,
"paymentAmount": 1,
"paymentKind": "PREPAYMENT",
"refundType": "DISBURSE",
"dunningBlock": false,
"paymentState": "NO_PAYMENT",
"dunningState": "IN_DUNNING",
"dunningLevel": 1,
"dunningCount": 1,
"originalPaymentDueDate": "2026-01-01",
"paymentDaysNet": 1,
"paymentDueDate": "2026-01-01",
"valueDate": "2026-01-01",
"paymentDiscount1Amount": 1,
"paymentDiscount2Amount": 1,
"paymentTemplateRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"purpose": "text",
"comment": "text",
"paymentBlock": false,
"tags": [],
"paymentPlan": {
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"paymentPlanType": "RULE",
"dueDateCalculation": "text",
"amount": 1,
"startDate": "2026-01-01",
"endDate": "2026-01-01",
"description": "text",
"active": true,
"dueDate": "2026-01-01",
"manualRuleEntries": [],
"currencyCode": "text",
"exchangeRate": 1,
"baseCurrencyCode": "text",
"baseAmount": 1
},
"valueDateReadOnly": false,
"canBeReopened": false,
"currencyCode": "text",
"exchangeRate": 1,
"baseCurrencyCode": "text",
"baseDepositPaymentAmount": 1,
"baseSumPayments": 1,
"baseSumDiscount": 1,
"baseSumDunnings": 1,
"baseSumTotalAmount": 1,
"baseSumDiscountableAmount": 1,
"baseBalance": 1,
"baseSumFee": 1,
"blockedByDocument": false,
"bookingAccountType": "CUSTOMER",
"taxPerformanceLocation": "DOMESTIC",
"taxState": "TAX_FREE",
"performanceCountryCode": "text",
"sourceCountryCode": "text",
"taxRateRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"performanceDate": "2026-01-01",
"balanced": true
}OK
message context
message
POST /erp/bank/transactions/{transactionId}/recalculate HTTP/1.1
Host: api.example.com
Accept: */*
OK
{
"context": "text",
"messageValue": "text"
}Id der Sammellastschrift
Kommentar zur Buchung
Soll die Transaktion abgeschlossen und ein Restbetrag als irrelevant verbuicht werden?
OK
The result type of the attempt to match open item with transaction
If applicable the amount that has yet to be distributed/was overdrafted/was marked as irrelevant
POST /erp/bank/transactions/{transactionId}/match_with_payment/{paymentId} HTTP/1.1
Host: api.example.com
Content-Type: application/json
Accept: */*
Content-Length: 53
{
"paymentId": 1,
"comment": "text",
"forceComplete": true
}OK
{
"type": "DONE",
"amount": 1,
"overpaidOpenItems": []
}The ID of the open item to be matched with the transaction
The total amount to be booked against this combination of open item and transaction
OK
The result type of the attempt to match open item with transaction
If applicable the amount that has yet to be distributed/was overdrafted/was marked as irrelevant
POST /erp/bank/transactions/{transactionId}/match_with_open_item HTTP/1.1
Host: api.example.com
Content-Type: application/json
Accept: */*
Content-Length: 2
[]OK
{
"type": "DONE",
"amount": 1,
"overpaidOpenItems": []
}OK
The result type of the attempt to manually book transaction
If applicable the amount that has yet to be distributed/was overdrafted/was marked as irrelevant
The ids of the manual bookings if successful
The id of the irrelevancy marker booking if applicable
POST /erp/bank/transactions/{transactionId}/mark_as_relevant HTTP/1.1
Host: api.example.com
Accept: */*
OK
{
"type": "DONE",
"amount": 1,
"bookingIds": [
1
],
"irrelevantBookingId": 1
}commentary
Unbooked value should be marked as irrelevant
transaction is not relevant for business
Template Vorlage
OK
The result type of the attempt to manually book transaction
If applicable the amount that has yet to be distributed/was overdrafted/was marked as irrelevant
The ids of the manual bookings if successful
The id of the irrelevancy marker booking if applicable
POST /erp/bank/transactions/{transactionId}/manual_booking HTTP/1.1
Host: api.example.com
Content-Type: application/json
Accept: */*
Content-Length: 112
{
"ledgerBookingAccountDistributions": [],
"comment": "text",
"forceComplete": true,
"notRelevant": true,
"templateId": 1
}OK
{
"type": "DONE",
"amount": 1,
"bookingIds": [
1
],
"irrelevantBookingId": 1
}the comment to be added to the transaction
whether the comment of the transaction should be replaced or added onto
OK
message context
message
POST /erp/bank/transactions/{transactionId}/add_comment HTTP/1.1
Host: api.example.com
Content-Type: application/json
Accept: */*
Content-Length: 33
{
"comment": "text",
"replace": true
}OK
{
"context": "text",
"messageValue": "text"
}OK
POST /erp/bank/transactions/reset_state HTTP/1.1
Host: api.example.com
Accept: */*
OK
truemarkiert alle Transaktionen für einen Account bis zum angegebenen Datum als nicht relevant
OK
message context
message
POST /erp/bank/transactions/mark_as_not_relevant?accountId=1&toDate=2026-01-01 HTTP/1.1
Host: api.example.com
Accept: */*
OK
{
"context": "text",
"messageValue": "text"
}Last updated
Was this helpful?